<?php
/**
* En este modelo se encuentran todas las consultas realizadas en la tabla de agenda(Administrador general)
*/
class AgendaA_model extends CI_Model
{
   
   public function getEventos(){
      $this->db->select('*');
      $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
      $this->db->join('clientes','Clientes_IdClientes = IdClientes','inner');


      $this->db->select('IdAgenda id, NombreCategoria title, Fecha start, Observaciones  obs,  Usuarios_IdUsuarios usu ,  EstadoCita est ,  HoraFin hof,  HoraInicio hoi, Fecha fecha, promociones_idPromociones promociones, ServiciosFranquicias_idServiciosFranquicias serviciosgenerales, Categoria_IdCategoria categoria, Clientes_IdClientes clientes');
    

    $this->db->from('agenda');

   

      return $this->db->get()->result();
   }


     public function getEventos1(){
      $this->db->select('*');
      $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
      $this->db->join('clientes','Clientes_IdClientes = IdClientes','inner');


      $this->db->select('IdAgenda id, NombreCategoria title, Fecha start, NombreCliente NC');
    

    $this->db->from('agenda');

   

      return $this->db->get()->result();
   }


 
public function updEvento2($param){
    

    $campos = array(

      'IdAgenda' => $param['nome'],
      'Clientes_IdClientes' => $param['clientes'],
      'Categoria_IdCategoria' => $param['categoria'],
      'promociones_idPromociones' => $param['promociones'],
      'ServiciosFranquicias_idServiciosFranquicias' => $param['serviciosgenerales'],
      'Fecha' => $param['fecha'],
      'HoraInicio' => $param['horai'],
      'HoraFin' => $param['horaf'],
      'EstadoCita' => $param['estado'],
      'observaciones' => $param['observaciones'],
      'Usuarios_IdUsuarios' => $param['usuario']
      );

    $this->db->where('IdAgenda',$param['id']);
    $this->db->update('agenda',$campos);

    if ($this->db->affected_rows() == 1) {
      return 1;
    }else{
      return 0;
    }
  }

   public function deleteEvento($id){
   $this->db->where('IdAgenda', $id);
    return $this->db->delete('agenda');


      //$this->db->where('IdAgenda', $id);
      //return $this->db->delete('agenda');
   }




 public function guardar($parametro){
     $campos=array(
         
         'Clientes_IdClientes' => $parametro['Clientes_IdClientes'],
         'Categoria_IdCategoria' => $parametro['Categoria_IdCategoria'],
         'ServiciosFranquicias_IdServiciosFranquicias' => $parametro['ServiciosFranquicias_IdServiciosFranquicias'],
         'Promociones_IdPromociones' => $parametro['Promociones_IdPromociones'],
         'Fecha' => $parametro['Fecha'],
         'HoraInicio' => $parametro['HoraInicio'],
         'HoraFin' => $parametro['HoraFin'],
         'EstadoCita' => $parametro['EstadoCita'],
         'Cabina_IdCabina' => $parametro['Cabina_IdCabina'],
         'Observaciones' => $parametro['Observaciones'],
         'Usuarios_IdUsuarios' => $parametro['Usuarios_IdUsuarios'],
         'Franquicias_IdFranquicias' => $parametro['Franquicias_IdFranquicias']
      );
 
         

      $this->db->insert('agenda',$campos);
     

   }


 // public function BuscarServicios($servicio){
 //    $data['Franquicias']=$this->agendaA_models->BuscarFranquicia();
 //    foreach ($data['Franquicias'] as $i => $Franquicias)
 //        $this->db->select('*');
 //        $this->db->from('serviciosfranquicias');
 //        $this->db->join('serviciosgenerales','ServiciosGenerales_IdServiciosGenerales=IdServiciosGenerales','inner');
 //        $this->db->where('Franquicias_IdFranquicias',$i);
 //        $this->db->like('NombreServicio',$servicio);
 //        $this->db->order_by('NombreServicio','ASC');
 //        return $this->db->get()->result();
 //         }



   public function BuscarServicios(){

  $this->db->join('serviciosgenerales','ServiciosGenerales_IdServiciosGenerales = IdServiciosGenerales','inner');
  $query = $this->db->get_where('serviciosfranquicias' ,  array ( 'Franquicias_IdFranquicias'=> 3));
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdServiciosFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreServicio, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }


//Consulta que la promociones locales/emergetes del cliente a que se le realizara la cita
    public function BuscarPromocionesLocales(){
     $this->db->select('*');

    // $data['Zona']=$this->agendaA_models->BuscarZona();
    // foreach ($data['Zona'] as $i => $Zona) 
    // $this->db->where('Zona_IdZona',$i);
    $this->db->where("(TipoPromocion_IdTipoPromocion = '2' OR TipoPromocion_IdTipoPromocion ='4')");
    $this->db->where('Estatus','ACTIVA');
    $this->db->order_by('NombrePromocion',"ASC");
    $query=$this->db->get('promociones');
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdPromociones, ENT_QUOTES)] = htmlspecialchars($row->NombrePromocion, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
     }        
//Consulta que la promociones Fijas/Institucionales del cliente a que se le realizara la cita

public function BuscarPromocionesinstitucionales(){
    $this->db->where("(TipoPromocion_IdTipoPromocion = '1' OR TipoPromocion_IdTipoPromocion ='3')");
    $this->db->where('Estatus','ACTIVA');
    $this->db->order_by('NombrePromocion',"ASC");
    $query=$this->db->get('promociones');
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdPromociones, ENT_QUOTES)] = htmlspecialchars($row->NombrePromocion, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }


 //Consulta que busca la franquicia a la que pertenece el usuario logueado 
     public function BuscarZona(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->join('zona','Zona_IdZona=IdZona','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }



 public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

   public function BuscarFranquicia(){
     $this->db->select('*');
     $this->db->from('franquicias');
     $query=$this->db->get();


       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

          public function BuscarUsuario(){
     $query = $this->db-> query('SELECT IdUsuarios,NombreUsuario FROM usuarios'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdUsuarios, ENT_QUOTES)] = htmlspecialchars($row->NombreUsuario, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

   public function BuscarCliente(){
     $query = $this->db-> query('SELECT IdClientes,NombreCliente FROM clientes'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdClientes, ENT_QUOTES)] = htmlspecialchars($row->NombreCliente, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }




public function BuscarCabina(){
     $query = $this->db-> query('SELECT IdCabina,NombreCabina FROM cabina'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCabina, ENT_QUOTES)] = htmlspecialchars($row->NombreCabina, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

public function BuscarEstatusCita(){
     $query = $this->db-> query('SELECT IdEstatusCita,NombreEstatusCita FROM estatuscitas'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdEstatusCita, ENT_QUOTES)] = htmlspecialchars($row->NombreEstatusCita, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }



  public function BuscarPromociones(){
  $this->db->join('promociones','Promociones_IdPromociones = IdPromociones','inner');

  $query = $this->db->get_where('promociones' ,  array ( 'Franquicias_IdFranquicias'=> 2 ));

 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdPromocionesFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombrePromocion, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }

 }


  public function BuscarFranq(){// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias ORDER BY NombreFranquicia ASC'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }


 


}